
# Interface: IRequestModel

Provides HTTP request properties.

## Hierarchy

* **IRequestModel**

## Index

### Properties

* [enabled](irequestmodel.md#enabled)
* [headers](irequestmodel.md#headers)
* [method](irequestmodel.md#method)
* [request](irequestmodel.md#request)
* [responseType](irequestmodel.md#responsetype)
* [url](irequestmodel.md#url)

## Properties

###  enabled

• **enabled**: *boolean*

If `false`, the request will not be executed.

___

###  headers

• **headers**: *object*

A dictionary of HTTP headers sent along with the request.

#### Type declaration:

* \[ **key**: *string*\]: string

___

###  method

• **method**: *string*

An HTTP method.

___

###  request

• **request**: *any*

The request body.

___

###  responseType

• **responseType**: *[ResponseType](../README.md#responsetype)*

Defines how to interpret the response received from the server.

___

###  url

• **url**: *string*

A URL that is used to accept requests.
